.app {
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    max-height: 800px;
    background-color: #ffffff;
}

@media (min-width: 576px) {
    .app {
        max-width: 540px;
        left: calc((100% - 540px) / 2);
    }
}

@media (min-height: 800px) {
    .app {
        top: calc((100% - 800px) / 2);
    }
}

.app__content {
    height: 100%;
    overflow-y: auto;
}

.link-primary,
.text-primary {
    color: #075577!important;
}

.link-primary:hover {
    color: #03212f !important;
}

.btn-primary {
    background-color: #075577!important;
    border-color: #075577!important;
}

.btn-primary:hover {
    background-color: #053b53!important;
    border-color: #053b53!important;
}

.btn-check:focus+.btn-primary, .btn-primary:focus {
    background-color: #053b53!important;
    border-color: #053b53!important;
    box-shadow: 0 0 0 0.2rem rgba(44, 111, 139, 0.5);
}

.btn-check:active+.btn-primary:focus, .btn-check:checked+.btn-primary:focus, .btn-primary.active:focus, .btn-primary:active:focus, .show>.btn-primary.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.25rem rgba(44, 111, 139, 0.5);
}

.form-control:focus {
    border-color: #0eabef;
    box-shadow: 0 0 0 0.2rem rgba(7, 85, 119, 0.25);
}

.form-floating:focus-within {
    z-index: 2;
}

.m--2 {
    margin: -0.5rem !important;
}

.form-control-otp {
    width: calc(1em + 2rem);
}

.text-scale-down h2 {
    font-size: 1rem;
}

.text-scale-down p,
.text-scale-down li,
.text-scale-down .card {
    font-size: 0.8rem;
}

.text-scale-down h2 {
    margin-bottom: 1rem;
}

.text-scale-down .card > *:last-child {
    margin-bottom: 0;
}

.goodid-custom-login {
    position: relative;
    display: inline-block;
    height: 56px;
    border-radius: 28px;
    background-color: #084edd;
    color: #ffffff;
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
    font-size: 1.25rem;
}

.goodid-custom-login:focus,
.goodid-custom-login:hover {
    background-color: #084edd;
    color: #ffffff;
    text-decoration: none;
    box-shadow: 4px 4px 16px 0 rgba(8, 78, 221, 0.25);
}

.goodid-custom-login:active {
    background-color: #1b3982;
    color: #ffffff;
    text-decoration: none;
    box-shadow: 4px 4px 16px 0 rgba(0, 0, 0, 0);
}

.goodid-custom-login::before {
    content: '';
    position: absolute;
    top: 4px;
    left: 4px;
    display: block;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    background: #084edd center center no-repeat;
    background-image: url("/images/goodid-icon-white.svg"), url("/images/goodid-icon-color.svg");
    box-shadow: 3px 13px 26px 0 rgba(0, 0, 0, 0.25);
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

.goodid-custom-login:focus::before,
.goodid-custom-login:hover::before {
    background-color: #ffffff;
    background-image: url("/images/goodid-icon-color.svg");
}

.goodid-custom-login:active::before {
    background-color: #1b3982;
    background-image: url("/images/goodid-icon-white.svg");
}

.goodid-custom-login .button__title {
    display: flex;
    height: 100%;
    justify-content: center;
    align-items: center;
    padding: 0 24px 0 64px;
}